add_executable(tests
        main.cpp
        data_structures_test.cpp
        base_tests.cpp
        scheduling_tests.cpp
        patterns_test.cpp
        test_helpers.h scheduling_lock_free_tests.cpp)
target_link_libraries(tests catch2 pls)
